Subject: [rddp] WG chair comments on CRCs

From: [email-masked]
Date: Fri, 22 Nov 2002 21:24:21 -0500

I want to strongly discourage the counting of NIC vendors
that I saw going on.  It's fine to identify oneself as
a NIC vendor or hardware implementor, or whatever one
does, and I think a fair amount of respect is due to those
who have built running code, chips, etc. and are willing
to share scars and lessons learned from those experiences.

OTOH, the counting of NIC vendors crossed the line
from respect for those who have built things to assertions
that only those who have built things should have a say
in the issues before the WG.  That is *wrong* if for no
other reason than it would exclude a large number of TCP
experts from a discussion of TCP implementation concerns
in this forum.  This is an open forum, and we accept technical
input from anyone who takes the time to understand what
we're trying to do and offer comments on it.

Also, counting of votes or any other attempts to determine
rough consensus by anyone other than the WG chair is also
strongly discouraged.  Among the reasons is that there is
ISOC-provided liability insurance that covers the WG chair,
but that coverage does not extend to those who take it upon
themselves to try to do his job for him ;-).

Ok, enough of this procedural stuff ...

On the overall CRC issue, the positions I see being taken
appear to have strong dependencies on assumptions about
how rddp-based systems (RNICs if you like) will be implemented.
A good next step would be for some of the folks with strong
opinions on this to write up short Internet-Drafts on how
they envision the architecture of a hardware-based RNIC
so that we can see and compare the different assumptions
and how the envisioned architectures are affected differently
by the design choices in this area.  I'm looking for high
level block diagrams and descriptions involving location
of processing function, buffering, bus transfers, etc.

Thanks,
--David

----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953 **NEW**     FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------
_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp